Subject: Re: bug#14981: 24.3.50; NS port error when closing maximized frames

From: Alan Third <[email-masked]>
Date: Mon, 27 Jun 2016 21:54:48 +0100

On Sat, Jun 11, 2016 at 05:23:51PM -0700, Chad Brown wrote:
> 
> > On 11 Jun 2016, at 07:42, Alan Third <[email-masked]> wrote:
> > 
> > Jan Djärv <[email-masked]> writes:
> > 
> >> 29 jul 2013 kl. 17:53 skrev chad <[email-masked]>:
> >> 
> >>> Using the latest bzr head, if I open a new frame (C-x 5 C-f), then
> >>> fullscreen the new frame (F11), then close that new frame while it's
> >>> still maximized (C-x 5 0), I get this message to stderr:
> >>> 
> >>> 	2013-07-29 10:46:15.559 Emacs[83142:303] void _NSMoveWindowToSpaceUnlessSticky(NSInteger, CGSSpaceID): CGSGetWindowTags(cid, win, tags, kCGSRealMaximumTagSize) returned CGError 1000 on line 1247 
> >>> 
> >>> This seems to be repeatable with emacs -Q.
> >>> 
> >> 
> >> I don't know how to fix this, it seems to be a bug in OSX. It is not
> >> fatal, but each error leaks some memory, which is bad.
> > 
> > I don't get this error in Emacs 25 under El Capitan. Perhaps it's been
> > fixed. Can anyone confirm whether they still see it?
> 
> I also do NOT see this with emacs-25 HEAD on mac os x 10.11.5. Maybe
> poke emacs-devel and see if anyone can try it on an older release?

Seeing as how we don't seem to be able to find anyone who can
replicate this anymore, I'm going to close the bug report.

Thanks.
-- 
Alan Third